package com.example.afrishop_v3.config;

/**
 * @Auther: wudepeng
 * @Date: 2020/02/27
 * @Description:DPO配置类 (正式环境)
 */
public class DpoConfig {

    //创建交易请求
    public final static String CREATE_TOKEN_REQUEST = "createToken";
    //校验交易请求
    public final static String VERIFY_TOKEN_REQUEST = "verifyToken";
    //取消交易请求
    public final static String CANCEL_TOKEN_REQUEST = "cancelToken";
    //CompanyToken
    public final static String COMPANY_TOKEN = "E6759E15-C2F3-4526-ADEF-8FC0017BB1C4";

    //请求成功的状态码
    public final static String SUCCESS_CODE = "000";

    //DPO支付API
    public final static String PAYMENT_API = "https://secure.3gdirectpay.com/API/v6/";

    //重定向地址
    public final static String REDIRECT_URL = "https://secure.3gdirectpay.com/pay.asp";

    //服务类型
    public final static String SERVICE_TYPE = "35711";
    //回调地址
    public final static String NOTIFY_URL = "https://app.afrieshop.com/zion/dpo/notify";

    //取消地址
    public final static String BACK_URL = "https://app.afrieshop.com/zion/dpo/cancel";
    //支付成功页面
    public final static String SUCCESS_URL = "https://www.afrieshop.com/payment_successful";

    //支付失败页面
    public final static String FAILED_URL = "https://www.afrieshop.com/payment_failed";
    //支付成功页面
    public final static String MOBILE_SUCCESS_URL = "https://m.afrieshop.com/#/Paysuccess";

    //支付失败页面
    public final static String MOBILE_FAILED_URL = "https://m.afrieshop.com/#/PayFail";

}
