package com.example.afrishop_v3.repository;

import com.example.afrishop_v3.models.TbCfUserInfo;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Optional;

public interface UserRepository extends PagingAndSortingRepository<TbCfUserInfo,String> {
    Optional<TbCfUserInfo> findByAccount(String s);
    Optional<TbCfUserInfo> findByFirebaseUid(String s);
    Optional<TbCfUserInfo> findFirstByEmail(String s);
    Optional<TbCfUserInfo> findByCode(String s);
    boolean existsByCode(String code);
}
